import request from '@/utils/request'

// 查询生产执行列表
export function listInspect(query) {
  return request({
    url: '/track/execute/list',
    method: 'get',
    params: query
  })
}

// 查询生产执行详细
export function getInspect(id) {
  return request({
    url: '/track/execute/' + id,
    method: 'get'
  })
}

// 新增生产执行
export function addInspect(data) {
  return request({
    url: '/track/execute',
    method: 'post',
    data: data
  })
}

// 修改生产执行
export function updateInspect(data) {
  return request({
    url: '/track/execute',
    method: 'put',
    data: data
  })
}

// 删除生产执行
export function delInspect(id) {
  return request({
    url: '/track/execute/' + id,
    method: 'delete'
  })
}

// 导出生产执行
export function exportInspect(query) {
  return request({
    url: '/track/execute/export',
    method: 'get',
    params: query
  })
}

//所有执行
export function executeInfoList(query) {
  return request({
    url: '/track/execute/executeInfoList',
    method: 'get',
    params: query
  })
}
